<?php
namespace EMS\PortalFuncionario\Geral\Services;

use Doctrine\ORM\EntityManager;

use EMS\PortalFuncionario\Geral\Repository\DemonstrativoPagamentoRepository;

class DemonstrativoPagamentoService  {

    public function __construct(EntityManager $entityManager, DemonstrativoPagamentoRepository $demonstrativoPagamentoRepository) {
        $this->entityManager                    = $entityManager;
        $this->demonstrativoPagamentoRepository = $demonstrativoPagamentoRepository;
    }

    public function getDemonstrativoPagamento(string $nrorg, string $nrvinculom, string $dtmescompetenc, string $nrtipomoviment, string $nrtpmodalidcal, string $ocorrecal, string $ignoraocorr) {
        try {
            return $this->demonstrativoPagamentoRepository->getDemonstrativoPagamento(
                $nrorg,
                $nrvinculom,
                $dtmescompetenc,
                $nrtipomoviment,
                $nrtpmodalidcal,
                $ocorrecal,
                $ignoraocorr
            );
        } catch (\Exception $e) {
            throw $e;
        }
    }

}